From afa66cf670632e226ac9a2560fbcfd1b5dc40544 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bastien=20ROUCARI=C3=88S?= <roucaries.bastien@gmail.com>
Date: Sun, 22 Jun 2014 20:08:10 +0200
Subject: [PATCH] Add dns-320 to debian installer list
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Will allow to install debian on dns-320

Signed-off-by: Bastien ROUCARIÈS <roucaries.bastien@gmail.com>
---
 build/config/armel/kirkwood/network-console.cfg | 13 ++++++++++++-
 debian/control                                  |  4 ++--
 2 files changed, 14 insertions(+), 3 deletions(-)

diff --git a/build/config/armel/kirkwood/network-console.cfg b/build/config/armel/kirkwood/network-console.cfg
index 24f8803..1489ec4 100644
--- a/build/config/armel/kirkwood/network-console.cfg
+++ b/build/config/armel/kirkwood/network-console.cfg
@@ -1,9 +1,20 @@
 MEDIA_TYPE = netboot image (SSH)
 
-TARGET = $(TEMP_INITRD) $(TEMP_KERNEL) ts219 ts41x lacie
+TARGET = $(TEMP_INITRD) $(TEMP_KERNEL) dns-320 ts219 ts41x lacie
 EXTRANAME = $(MEDIUM)
 TYPE = netboot/network-console
 
+# D-Link DNS-320
+dns-320:
+	mkdir -p $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320
+	mkdir -p $(TEMP)/dns-320
+	cat $(TEMP_KERNEL) $(TEMP_DTBS)/kirkwood-dns320.dtb > $(TEMP)/dns-320/vmlinuz-dns320
+	mkimage -A arm -O linux -T kernel -C none -e 0x00008000 -a 0x00008000 -n "Debian kernel" -d $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/kernel.uboot
+	mkimage -A arm -O linux -T ramdisk -C gzip -e 0x00e00000 -a 0x00e00000 -n "debian-installer ramdisk" -d $(TEMP_INITRD) $(TEMP)/dns-320/initrd.uboot
+	mkdns323fw -k $(TEMP)/dns-320/kernel.uboot -i $(TEMP)/dns-320/initrd.uboot -t DNS-320 -o $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/netboot.img
+	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/netboot.img "installer image (dlink firmware) for D-Link DNS-320"
+
+
 # QNAP TS-119, TS-219 and TS-219P
 ts219:
 	mkdir -p $(SOME_DEST)/$(EXTRANAME)/qnap/ts-219
diff --git a/debian/control b/debian/control
index 6c9551c..535f33f 100644
--- a/debian/control
+++ b/debian/control
@@ -82,8 +82,8 @@ Build-Depends:
 #		kernels and add nslu2 boot magic.
 	slugimage (>= 0.10+r58-6) [armeb armel],
 #		For building nslu2 firmware images.
-	dns323-firmware-tools [armel],
-#		For building firmware images for the D-Link DNS-323.
+	dns323-firmware-tools (>= 0.3-2) [armel],
+#		For building firmware images for the D-Link DNS-32(0|3).
 	u-boot-tools [armel armhf],
 #		For creating u-boot images
 # 
-- 
2.0.0

